Bug 3473 - PUMP core dumps when DNS hosts are sent without a DOMAIN
PUMP core dumps when DNS hosts are sent without a DOMAIN
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: pump (Show other bugs)
6.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Erik Troan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-06-15 04:25 EDT by breed
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-06-22 15:30:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description breed 1999-06-15 04:25:35 EDT
If dns server option is returned without a domain option,
pump will core dump, since it doesn't check for a null
domain in createResolveConf().

I would suggest skipping over existing search records in
resolv.conf if the domain isn't present to at least preserve
what is there.
Comment 1 breed 1999-06-15 12:11:59 EDT
There is a patch that fixes this and other problems in pump (as well
as reporting errors in syslog) at
http://www.cse.ucsc.edu/~breed/pump.patch.
Comment 2 Erik Troan 1999-06-22 15:30:59 EDT
This was fixed a while ago, and the version on the errata should
already include the fix.

Note You need to log in before you can comment on or make changes to this bug.